ConnectionProxy (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.datasource

## Interface ConnectionProxy

- All Superinterfaces:
    AutoCloseable, Connection, Wrapper

      public interface ConnectionProxy
      extends Connection

  Subinterface of `Connection` to be implemented by Connection proxies. Allows access to the underlying target Connection.

  This interface can be checked when there is a need to cast to a native JDBC Connection such as Oracle's OracleConnection. Spring's `NativeJdbcExtractorAdapter` automatically detects such proxies before delegating to the actual unwrapping for a specific connection pool.

  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `TransactionAwareDataSourceProxy`, `LazyConnectionDataSourceProxy`, `DataSourceUtils.getTargetConnection(java.sql.Connection)`

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getTargetConnection()` Return the target Connection of this proxy.

    - ### Methods inherited from interface java.sql.Connection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### getTargetConnection

          Connection getTargetConnection()

      Return the target Connection of this proxy.

      This will typically be the native driver Connection or a wrapper from a connection pool.

      Returns:
        the underlying Connection (never `null`)